package com.iamberry.wechat.face.order;

import com.iamberry.wechat.tools.ResponseJson;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年11月1日
 * @explain	验证码业务接口
 */
public interface CodeService {

	/**
	 * 发送短信验证码接口
	 * @param phone
	 * @return
	 */
	public ResponseJson sendCode(String phone);
	
	/**
	 * 根据手机号码、短信验证码、校验是否正确
	 * @param phone
	 * @param code
	 * @return
	 */
	public ResponseJson validCode(String phone, String code);
	
	/**
	 * 试用进度提醒，向收货人发送短信提醒
	 * 2017年1月3日
	 * @author mzx
	 * @param phone
	 * @return
	 */
	public boolean sendTextToUser(String phone,int days);
	
	/**
	 * 租赁订单生成后，发送短信(水量，租赁开始时间，押金)到购买人手机
	 * @param phone：电话， duration：租赁时长，pledgeMoney：押金，serviceMoney：服务费，typeId：租赁模式
	 * @return
	 */
	public boolean sendRentOrderToUser(String phone, Integer duration, Integer pledgeMoney, Integer serviceMoney, Integer typeId);
	
	public ResponseJson sms(String phone);

	public String sendOtherCMS(String phone, String text);
}
